'use client';

import { ComponentProps } from 'react';

import { cn } from '../lib/utils';

interface ContainerProps extends ComponentProps<'div'> {}

export function Container({ children, className, ...props }: ContainerProps) {
  return (
    <div
      className={cn('container mx-auto px-2.5 py-8 sm:py-16', className)}
      {...props}
    >
      {children}
    </div>
  );
}
